local SmokeHouse = ...

-- Register the smoked house monument
SmokeHouse:register({
	DataType = "MONUMENT",
	Id = "SMOKE_HOUSE_V3_MONUMENT",
	Name = "SMOKE_HOUSE_V3_MONUMENT_NAME",
	Description = "SMOKE_HOUSE_V3_MONUMENT_DESC",
	BuildingType = "GENERAL",
	BuildingPartSetList = {
		{
			Name = "SMOKE_HOUSE_V3_SETPARTLIST_NAME",
	                BuildingPartList = {
		            "SMOKE_HOUSE_V3_CARBON_WORKPLACE_PART",
		            "SMOKE_HOUSE_V3_BROWN_WORKPLACE_PART"
	                }
                }
        },
	IsManuallyUnlocked = false,
	IsDestructible = true,
	IsEditable = true,
	IsClearTrees = true
})