local SmokeHouse = ...

-- Register image assets
SmokeHouse:registerAssetId("icons/salting.png", "SMOKE_HOUSE_V3_ICON_SALTING")

-- Register saltings (food)
SmokeHouse:register({
	DataType = "RESOURCE",
	Id = "SMOKE_HOUSE_V3_SALTING",
	ResourceName = "SMOKE_HOUSE_V3_SALTING",
	Icon = "SMOKE_HOUSE_V3_ICON_SALTING",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
